Bug 1248424 - [abrt] ibus-libpinyin: pinyin::SubPhraseIndex::load(): ibus-engine-libpinyin killed by SIGSEGV
[abrt] ibus-libpinyin: pinyin::SubPhraseIndex::load(): ibus-engine-libpinyin ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e6705bc1fb9495afb70cf09f375...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 05:17 EDT by Tong Hui
Modified: 2016-07-19 13:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:15:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.54 KB, text/plain)
2015-07-30 05:17 EDT, Tong Hui
no flags Details
File: build_ids (3.40 KB, text/plain)
2015-07-30 05:17 EDT, Tong Hui
no flags Details
File: cgroup (190 bytes, text/plain)
2015-07-30 05:17 EDT, Tong Hui
no flags Details
File: core_backtrace (3.35 KB, text/plain)
2015-07-30 05:17 EDT, Tong Hui
no flags Details
File: dso_list (8.18 KB, text/plain)
2015-07-30 05:17 EDT, Tong Hui
no flags Details
File: environ (2.01 KB, text/plain)
2015-07-30 05:17 EDT, Tong Hui
no flags Details
File: limits (1.29 KB, text/plain)
2015-07-30 05:17 EDT, Tong Hui
no flags Details
File: maps (37.88 KB, text/plain)
2015-07-30 05:17 EDT, Tong Hui
no flags Details
File: mountinfo (3.29 KB, text/plain)
2015-07-30 05:17 EDT, Tong Hui
no flags Details
File: namespaces (85 bytes, text/plain)
2015-07-30 05:17 EDT, Tong Hui
no flags Details
File: open_fds (949 bytes, text/plain)
2015-07-30 05:17 EDT, Tong Hui
no flags Details
File: proc_pid_status (965 bytes, text/plain)
2015-07-30 05:17 EDT, Tong Hui
no flags Details
libpinyin tar ball (113.02 KB, application/x-gzip)
2015-08-01 09:35 EDT, Tong Hui
no flags Details

  None (edit)
Description Tong Hui 2015-07-30 05:17:05 EDT
Version-Release number of selected component:
ibus-libpinyin-1.7.2-1.fc22

Additional info:
reporter:       libreport-2.6.1
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
crash_function: pinyin::SubPhraseIndex::load
executable:     /usr/libexec/ibus-engine-libpinyin
global_pid:     2633
kernel:         4.0.7-300.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 pinyin::SubPhraseIndex::load at phrase_index.cpp:349
 #1 pinyin::FacadePhraseIndex::diff at phrase_index.cpp:273
 #2 pinyin_save at pinyin.cpp:649
 #3 PY::LibPinyinBackEnd::saveUserDB at PYLibPinyin.cc:374
 #4 PY::LibPinyinBackEnd::timeoutCallback at PYLibPinyin.cc:362
 #10 ibus_main at ibusshare.c:302
 #11 start_component at PYMain.cc:141

Potential duplicate: bug 964577
Comment 1 Tong Hui 2015-07-30 05:17:09 EDT
Created attachment 1057571 [details]
File: backtrace
Comment 2 Tong Hui 2015-07-30 05:17:10 EDT
Created attachment 1057572 [details]
File: build_ids
Comment 3 Tong Hui 2015-07-30 05:17:12 EDT
Created attachment 1057573 [details]
File: cgroup
Comment 4 Tong Hui 2015-07-30 05:17:13 EDT
Created attachment 1057574 [details]
File: core_backtrace
Comment 5 Tong Hui 2015-07-30 05:17:15 EDT
Created attachment 1057575 [details]
File: dso_list
Comment 6 Tong Hui 2015-07-30 05:17:16 EDT
Created attachment 1057576 [details]
File: environ
Comment 7 Tong Hui 2015-07-30 05:17:17 EDT
Created attachment 1057577 [details]
File: limits
Comment 8 Tong Hui 2015-07-30 05:17:19 EDT
Created attachment 1057578 [details]
File: maps
Comment 9 Tong Hui 2015-07-30 05:17:21 EDT
Created attachment 1057579 [details]
File: mountinfo
Comment 10 Tong Hui 2015-07-30 05:17:22 EDT
Created attachment 1057580 [details]
File: namespaces
Comment 11 Tong Hui 2015-07-30 05:17:23 EDT
Created attachment 1057581 [details]
File: open_fds
Comment 12 Tong Hui 2015-07-30 05:17:25 EDT
Created attachment 1057582 [details]
File: proc_pid_status
Comment 13 Peng Wu 2015-07-30 23:26:14 EDT
Could you provide the tar ball of ~/.cache/ibus/libpinyin/ directory content?
Comment 14 Tong Hui 2015-08-01 09:35:41 EDT
Created attachment 1058298 [details]
libpinyin tar ball
Comment 15 Peng Wu 2015-08-05 05:25:20 EDT
How frequently does this bug happen?

Any special operations are performed on Fedora 22 before this bug happens, such as yum/dnf upgrade?

Please provides the output of the following command:
$ rpm -Va "libpinyin*"
Comment 16 Fedora End Of Life 2016-07-19 13:15:59 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.